com.google.gwt.cell.client

## Enum ButtonCellBase.Decoration

- java.lang.Object
- - java.lang.Enum<ButtonCellBase.Decoration>
  - - com.google.gwt.cell.client.ButtonCellBase.Decoration

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ButtonCellBase.Decoration>
  Enclosing class:
    ButtonCellBase<C>

      public static enum ButtonCellBase.Decoration
      extends java.lang.Enum<ButtonCellBase.Decoration>

  The decoration applied to the button.
  DEFAULT
    A general button used in any context.
  PRIMARY
    A primary button that stands out against other buttons.
  NEGATIVE
    A button that results in a negative action, such as delete or cancel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `NEGATIVE`
    `PRIMARY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ButtonCellBase.Decoration` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ButtonCellBase.Decoration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final ButtonCellBase.Decoration DEFAULT

    - #### PRIMARY

          public static final ButtonCellBase.Decoration PRIMARY

    - #### NEGATIVE

          public static final ButtonCellBase.Decoration NEGATIVE

  - ### Method Detail

    - #### values

          public static ButtonCellBase.Decoration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ButtonCellBase.Decoration c : ButtonCellBase.Decoration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ButtonCellBase.Decoration valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null